   * {
    box-sizing: border-box;
}

/* ===== FONT ===== */


/* ===== BODY ===== */
body {
    margin: 0;
    min-height: 100vh;
    width: 100%;
    font-family: 'Lato', sans-serif;
    font-weight: 400;
    background-color: #ecf0f3;
    color: #555;

    display: flex;
    justify-content: center;
    align-items: center;

    overflow-x: hidden;
    overflow-y: auto;
}

/* ===== CONTAINER ===== */
.container-login {
    width: 350px;
    padding: 40px 35px;
    border-radius: 30px;
    background: #ecf0f3;
    box-shadow: 8px 8px 15px #c0ced1,
               -8px -8px 15px #ffffff;
}

/* ===== TITLE ===== */
h2 {
    text-align: center;
    font-size: 32px;
    font-weight: 700;
    color: #007bff;
    margin-bottom: 20px;
}

/* ===== FORM ===== */
.custom-fields {
    width: 100%;
}

label {
    display: block;
    text-align: center;
    margin-top: 10px;
    font-size: 14px;
}

.form-control {
    width: 100%;
    padding: 12px;
    margin-bottom: 20px;
    border-radius: 20px;
    border: none;
    font-size: 14px;
    text-align: center;
    background: #ecf0f3;
    box-shadow: inset 3px 3px 6px #cbccd1,
                inset -3px -3px 6px #ffffff;
}

/* ===== BUTTON ===== */
.btn-submit {
    width: 100%;
    height: 40px;
    border: none;
    border-radius: 30px;
    font-size: 15px;
    font-weight: 700;
    cursor: pointer;
    color: #fff;
    background-color: #24cfaa;
    box-shadow: 3px 3px 6px #b1b1b1,
               -3px -3px 6px #ffffff;
}

.btn-submit:hover {
    background-color: #2fdbb6;
}

.btn-submit:active {
    background-color: #1da88a;
}

/* ===== LOADING ===== */
.loading-overlay {
    display: none;           /* DEFAULT: SEMBUNYI */
    position: fixed;
    inset: 0;
    background: rgba(255,255,255,0.7);
    z-index: 9999;
}

.loading-overlay.active {
    display: flex;           /* MUNCUL SAAT SUBMIT */
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


.spinner {
    width: 60px;
    height: 60px;
    border: 6px solid #f3f3f3;
    border-top: 6px solid #3498db;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin-bottom: 15px;
}

.loading-text {
    font-size: 16px;
    font-weight: 700;
    color: #333;
}

@keyframes spin {
    to { transform: rotate(360deg); }
}